# Add account sitelinks

Adds account sitelinks. Works with Google Ads.

```http
POST https://api.pozy.ai/v1/ads/accounts/sitelinks
```

- Area: Ads / Ad Accounts
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `accountId`, string, required: Matches `^[a-fA-F0-9]{24}$`
- `adAccountId`, string: Matches `^\d+$`
- `customerId`, string: Matches `^\d+$`
- `sitelinks`, array of object, required: At least 1 item. Up to 20 items
  - `text`, string, required: 1 to 25 characters
  - `linkUrl`, string (URL), required
  - `description1`, string: 1 to 35 characters
  - `description2`, string: 1 to 35 characters

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/ads/accounts/sitelinks" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "sitelinks": [
    {
      "text": "Hello from Pozy",
      "linkUrl": "https://pozy.ai/media/example-1.jpg"
    }
  ]
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/accounts/sitelinks", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    sitelinks: [
      {
        text: "Hello from Pozy",
        linkUrl: "https://pozy.ai/media/example-1.jpg"
      }
    ]
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/ads/accounts/sitelinks",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "sitelinks": [
            {
                "text": "Hello from Pozy",
                "linkUrl": "https://pozy.ai/media/example-1.jpg",
            },
        ],
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 201

- `customerId`, string
- `sitelinks`, array of object
  - `assetId`, string
  - `text`, string: 1 to 25 characters
  - `linkUrl`, string (URL)
  - `description1`, string: 1 to 35 characters
  - `description2`, string: 1 to 35 characters

```json
{
  "customerId": "691909ff82eb5ed7c816716d",
  "sitelinks": [
    {
      "assetId": "649acf9abd13dbccc57b6012",
      "text": "Hello from Pozy",
      "linkUrl": "https://pozy.ai/media/example-1.jpg",
      "description1": "string",
      "description2": "string"
    }
  ]
}
```
